/*

Sketch de exemplo para configuração do Módulo Wi-Fi no Terminal Arduino Mega 2560 fabricado pela Zuchi

Autor: Pedro Zuchi - pedro@zuchi.com.br
Loja Virtual: www.zuchishop.com.br, www.zuchi.com.br
Área de download: www.zuchi.com.br/download
Blog: www.androidarduino.com.br, www.androidioio.com.br

Mapeamento de portas:
Sinal Linha 1 - Port 37
Sinal Linha 2 - Port 36
Sinal Linha 3 - Port 35
Sinal Linha 4 - Port 34
Sinal Coluna 1 - Port 33
Sinal Coluna 2 - Port 32
Sinal Coluna 3 - Port 31
Sinal Coluna 4 - Port 30

*/

#include <Keypad.h>

const byte ROWS = 4; // Quatro linhas
const byte COLS = 4; // Quatro colunas

// Define o mapa de teclas
 char keys [ROWS] [COLS] = {
   {'1', '4', '7', 'S'},
   {'2', '5', '8', '0'},
   {'3', '6', '9', '2'},
   {'-', '>', '<', '+'}
 };
 
// Conecta teclado ROW0, ROW1, ROW2 e ROW3 a esses pinos do Arduino.
byte rowPins [ROWS] = {37, 36, 35, 34};
// Conecta teclado COL0, COL1, COL3 e COL4 a esses pinos do Arduino.
byte colPins [COLS] = {33, 32, 31, 30}; 

// Cria o teclado
Keypad kpd = Keypad (makeKeymap (keys), rowPins, colPins, ROWS, COLS);

 void setup ()
 {
   pinMode(2,INPUT);
   Serial.begin (9600);
 }

 void loop ()
 {
   char key = kpd.getKey ();

   if (key) // Verificar se há uma chave válida.
   {
     Serial.println (key);
   }
   
   if ( digitalRead (2) == 0 ) {
     while ( digitalRead (2) == 0 );
     delay ( 25 );
     Serial.println ("E");         
   }

   
   
 }


