/*

Sketch de exemplo para teste do LCD no Terminal Arduino Mega 2560 fabricado pela Zuchi

Autor: Pedro Zuchi - pedro@zuchi.com.br
Loja Virtual: www.zuchishop.com.br, www.zuchi.com.br
Área de download: www.zuchi.com.br/download
Blog: www.androidarduino.com.br, www.androidioio.com.br

Mapeamento de portas:
* LCD RS pin to digital pin 22
* LCD R/W pin  digital pin 23 - forced to zero (low)
* LCD Enable pin to digital pin 24
* LCD Backlight to digital pin 25
* LCD D4 pin to digital pin 26
* LCD D5 pin to digital pin 27
* LCD D6 pin to digital pin 28
* LCD D7 pin to digital pin 29

*/

// Include the library code
#include <LiquidCrystal.h>

// LCD config
LiquidCrystal lcd(22, 24, 26, 27, 28, 29);

void setup() {
  pinMode(23,OUTPUT); // Port 23 is output 
  digitalWrite(23,LOW); // Port 23 in low
  pinMode(25,OUTPUT); // Port 25 is output
  digitalWrite(25,HIGH);  // Port 25 in high to turn on backlight
  
  lcd.begin(16, 2); // Init LCD
  lcd.setCursor(0,0);
  lcd.print("  Hello World!  "); // Print in LCD
  lcd.setCursor(0,1);
  lcd.print("www.zuchi.com.br"); // Print in LCD
}

void loop() {

}

